    function [selectedOdorUS,fileDoesNotExist] = selectOdorUS(emptyOdor,var) %% modified on the 09.12.2015
    
    %%% the reference odor and the empthy odor are defined as the triggers
    %%% when the van open (var.trig)
    path=pwd;
    
        selectedOdorUS.trig = 34; %define variable at the begining they will be changed by the function
        fileDoesNotExist = 0;
        
        cd('F:\Yoann\PhD\Experiments\APPCON\Task\APPCON_task\OdorUS\data');
        %cd('D:\Yoann\APPCON_task\OdorUS\data'); %go and check in the data file (the directory needs to be modified according to the directory of the testing computer)
        if exist(['odorUS' num2str(var.participantID) '.mat'],'file') == 0;
            fileDoesNotExist = 1;
            cd(path);
            return
        end
        
        odorUS = load (['odorUS' num2str(var.participantID) '.mat']);%load the data of the odorUS to select the most appetitive odor
        
        matrix = [odorUS.data.odorTrigger, odorUS.data.odorStim, odorUS.data.liking, odorUS.data.intensity];
        matrix = sortrows (matrix,1);
        matrix = reshape(matrix(~isnan(matrix)),[],size(matrix,2)); %remove NaN from the matrix
        matrix(find(matrix == emptyOdor.trigL),:) = []; %% here the number of the left empty van has to be defined as an input of the function the evaluations of the empty odor have to be removed
        matrix(find(matrix == emptyOdor.trigR),:) = []; %% here the number of the right empty van has to be defined as an input of the function the evaluations of the empty odor have to be removed
        
        trigger = accumarray(matrix(:,1),matrix(:,1),[],@mean); % identify which trigger the means refers to
%         trigger = trigger(find(trigger~=0));
        stim = accumarray(matrix(:,1),matrix(:,2),[],@mean); % identify the stim of the odor
%         stim = stim(find(stim~=0));
        liking = accumarray(matrix(:,1),matrix(:,3),[],@mean);% compute the mean for each condition
%         liking = liking(find(liking~=0));
        intensity = accumarray(matrix(:,1),matrix(:,4),[],@mean);% compute the mean for each condition
%         intensity = intensity(find(intensity~=0));
        
        %%% compute indexes of interest
%         appetitive = liking; % index computing the most pleasant odor
%         referenceIntensity = 50;%intensity(find(trigger == referenceOdor)); %% the number of the chocolate trigger has to be entered as an input in the final function
        
%         if isempty(referenceIntensity) == 1;
%             fileDoesNotExist = 1;
%             referenceIntensity = 50;
%         end
                   
%         differentialIntensity = abs (intensity - referenceIntensity);  
        matrixToSelect = [trigger, stim, liking, intensity]; % create a matrix with the indices/ratings of interest
        matrixToSelect = sortrows (matrixToSelect, [-3,-4,-2]); %sort the matrix first by liking and then by intensity (and finally by presentation order [maybe check for another criterion])
        matrixToSelect((var.odorNumber+1):length(matrixToSelect),:)=[]; %delete all the zeros added by accumarray function
%         matrixToSelect (find(matrixToSelect == referenceOdor),:) = []; %% here number of the chocolat odor has to be defined as an input of the function the evaluations of the chocolate odor have to be removed
        
        %%% select the neutral odor based on the index of interest
        
        selectedOdorUS.trig = matrixToSelect(1,1);
        selectedOdorUS.stim = matrixToSelect(1,2);
        if matrixToSelect(1,4) <= 50 % if the intensity of the most pleasant odor is less than 50... this threshold has been established by me.. maybe there is a better way to do it
            selectedOdorUS.trig = matrixToSelect(2,1);
            selectedOdorUS.stim = matrixToSelect(2,2);
            if matrixToSelect(2,4) <= matrixToSelect(1,4) % if the second most neutral odor is even less than the first one, then the first is kept
                selectedOdorUS.trig = matrixToSelect(1,1);
                selectedOdorUS.stim = matrixToSelect(1,2);
            end
        end
        
        %clear day1 % we do not want data from day1 to mess with the data collection of day 2
        cd(path); %return in the scripts folder for the rest of the experiment
    end 